/* lua_consolehelper.hpp - primitive logging functionality */

/* luafaudes - FAUDES Bindings for Lua

   Copyright (C) 2006 Bernd Opitz
   Exclusive copyright is granted to the Lehrstuhl fuer Regelungstechnik
   at the University of Erlangen-Nuernberg, Germany

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */


#ifndef LUA_CONSOLEHELPER_H
#define LUA_CONSOLEHELPER_H

#include <iostream>
#include <fstream>
#include <sstream>
#include <string>

#include "luafaudes.hpp"

extern "C" {
#include "lua.h"
#include "lauxlib.h"
#include "lualib.h"
}

extern std::ofstream* logstream;
extern std::string lastline;

int lua_initlog(lua_State* L);
void lua_logwrite(const char* str);
void lua_logwrite(const std::string& str);
int lua_closelog(lua_State* L);

void luafaudes_print_version (void); 
void RegisterConsoleFunctions(lua_State* L);

#endif
